︠38537c62-947d-4c3c-a9d5-81d22b5bf900i︠
%html
<h1>Sections 5.1 and 5.2</h1>
<p>Let's take a look at a joint continuous distribution for to random variables, problem 5.5 on page 233 of your text.&nbsp; The region of the plane $0\leq y\leq x\leq 1$ looks like</p>

︡d3252459-d792-4fec-86ba-e4400f38386d︡{"html": "<h1>Sections 5.1 and 5.2</h1>\n<p>Let's take a look at a joint continuous distribution for to random variables, problem 5.5 on page 233 of your text.&nbsp; The region of the plane $0\\leq y\\leq x\\leq 1$ looks like</p>"}︡
︠7adacad6-c49c-45bd-a296-bf54b8f46ff9︠
polygon([(0,0),(1,0),(1,1)]).show()
︡3d1f33c1-30ec-45a0-bcde-54b450a819eb︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠397fae34-7c9f-4936-8fe2-9259462c8f2a︠
p1=polygon([(0,0,0),(1,0,0),(1,0,3),(1,1,3),(1,1,0),(1,0,0),(0,0,0)]).show()
︡f382656f-735c-4e7e-8b29-b5d2c56c9370︡︡
︠614b13e9-1b5b-4c8b-b81d-7f3fe27330fci︠
%html
<p>The probability we wish to compute can be computed using symbolic calculus techniques (antidifferentiation).</p>

︡0f28d49a-7b9f-4075-94ff-687735c5e79d︡{"html": "<p>The probability we wish to compute can be computed using symbolic calculus techniques (antidifferentiation).</p>"}︡
︠af5ae039-9824-43a2-8732-cb1cd083f413︠
y=var('y')
︡5189420b-e824-46aa-8692-d6791b96ddb4︡︡
︠12e4e305-64fc-4593-bf1b-7b905010e5d8︠
integrate(integrate(3*x,(y,0,x)),(x,0,1/3))+integrate(integrate(3*x,(y,0,1/3)),(x,1/3,1/2))
︡a7647bae-5d84-4980-8fad-0b5a32d9d289︡{"stdout": "23/216"}︡
︠7b43cf97-f995-4da3-b6be-2928f305913e︠
float(23/216)
︡e366012a-33bf-4016-bf35-7bef48fca567︡{"stdout": "0.10648148148148147"}︡
︠b6fb4d59-f8b0-454c-92af-070771c5cfbei︠
%html
<p>We can also compute this integral using the <em>Monte Carlo</em> method.&nbsp; Here is the idea.&nbsp; The integral we wish to compute is the volume of a solid in 3-space.&nbsp; Bound that volume in a rectangular solid, whose sides are parallel to the coordinate planes, and compute the volume of that solid (I bounded the volume in the rectangular solid $[0,1]\times[0,1]\times[0,3]$, which has volume 3).</p>
<p>Next, pick a bunch of points $N$ randomly in the rectangular solid.&nbsp; Count the number of them that lie inside the volume you wish to compute; call this number $S$ (for "success").&nbsp; Then, the volume we wish to compute is approximately the proportion of randomly chosen points falling in the volume, times the volume of the rectangular solid.&nbsp; (That is, the volume we wish to compute is a fraction of the volume of the rectangular solid.&nbsp; How big a fraction?&nbsp; The proportion of randomly chosen points inside the volume of interest should tell you!)</p>

︡c434bb37-267b-4b9f-a26d-77f26c4f4cf0︡{"html": "<p>We can also compute this integral using the <em>Monte Carlo</em> method.&nbsp; Here is the idea.&nbsp; The integral we wish to compute is the volume of a solid in 3-space.&nbsp; Bound that volume in a rectangular solid, whose sides are parallel to the coordinate planes, and compute the volume of that solid (I bounded the volume in the rectangular solid $[0,1]\\times[0,1]\\times[0,3]$, which has volume 3).</p>\n<p>Next, pick a bunch of points $N$ randomly in the rectangular solid.&nbsp; Count the number of them that lie inside the volume you wish to compute; call this number $S$ (for \"success\").&nbsp; Then, the volume we wish to compute is approximately the proportion of randomly chosen points falling in the volume, times the volume of the rectangular solid.&nbsp; (That is, the volume we wish to compute is a fraction of the volume of the rectangular solid.&nbsp; How big a fraction?&nbsp; The proportion of randomly chosen points inside the volume of interest should tell you!)</p>"}︡
︠7c28f720-d012-47d9-a0d7-00974f269612︠
from random import random
def r():
    return (random(),random(),3*random())
︡5521ea7b-6b08-4019-811c-d35dc4c4f35b︡︡
︠723d7139-89f5-4b60-8d54-c96650db295f︠
def InRegion(p):
    if p[0]<=1/2 and p[1]<=1/3 and p[1]<=p[0] and p[2]<=3*p[0]: return True
    else: return False
︡d5ac3bb1-eaea-4217-b1c9-1d615ff5c45a︡︡
︠ba11ad49-fc78-4922-9b9a-a3576b34da6f︠
N=1000;number_results=100
def MonteCarlo():
    sample=[r() for j in range(N)]
    a=[s for s in sample if InRegion(s)]
    return 3*len(a)/N
results=[MonteCarlo() for j in range(number_results)]
float(sum(results)/number_results)
︡42310122-7486-4833-9cd8-ff507ece5f00︡{"stdout": "0.10640999999999999"}︡
︠5025ba5e-2704-4d1a-98d3-29d4608c812di︠
%html
<p>Let's try out the Monte Carlo method on a known, and simple, integral, for comparison purposes:\[\int_0^1x^2\, dx\]</p>

︡d93c27de-78d3-435c-9a95-c64a79e5634a︡{"html": "<p>Let's try out the Monte Carlo method on a known, and simple, integral, for comparison purposes:\\[\\int_0^1x^2\\, dx\\]</p>"}︡
︠d8f5a289-eb0b-4ed5-8d32-16d4a6cc2e01︠
def r():
    return (random(),random())
def InRegion(p):
    x,y=p
    if x<= 1 and y<=x^2: return True
    else: return False
︡55bd8d12-253f-4b08-ad52-8a1105e8f58c︡︡
︠c4e1c69f-0fef-4aa9-b203-13fbb3db79e5︠
N=100000
sample=[r() for j in range(N)]
a=[s for s in sample if InRegion(s)]
float(1*len(a)/N)
︡a261cd0f-0898-47c7-b016-10e1fe767bdd︡{"stdout": "0.33448999999999995"}︡
︠dc3d83c4-fa28-424d-829e-afeadf7e2a30i︠
%html
<p>The actual value is 1/3, so this was not too bad!</p>
<p>What is the benefit to using Monte Carlo methods?&nbsp; First, they work very well when antiderivatives are difficult to compute.&nbsp; Generally, logical conditions describing a region are much easier to write down than a string of computations computing an integral.&nbsp; Second, Monte Carlo methods for computing integrals can be used as a sort of "benchmark test" for computing.&nbsp; They are BDAs (Big Dumb Algorithms) and generally slow (my 100000 data point sample did not even get the third decimal place correct here, and so we might have to choose a much larger sample), but... it's really, <em>really&nbsp; </em>easy to code Monte Carlo.&nbsp; So, MC is often used as a reality check against more sophisticated techniques (or used when we don't have a more sophisticated technique).</p>

<h1>Section 5.7 -- Covariance</h1>
<p>First, a plot of the function\[z=f(x,y)=xy\]</p>

︡911ae66d-b892-4f3a-8065-16c076318090︡{"html": "<p>The actual value is 1/3, so this was not too bad!</p>\n<p>What is the benefit to using Monte Carlo methods?&nbsp; First, they work very well when antiderivatives are difficult to compute.&nbsp; Generally, logical conditions describing a region are much easier to write down than a string of computations computing an integral.&nbsp; Second, Monte Carlo methods for computing integrals can be used as a sort of \"benchmark test\" for computing.&nbsp; They are BDAs (Big Dumb Algorithms) and generally slow (my 100000 data point sample did not even get the third decimal place correct here, and so we might have to choose a much larger sample), but... it's really, <em>really&nbsp; </em>easy to code Monte Carlo.&nbsp; So, MC is often used as a reality check against more sophisticated techniques (or used when we don't have a more sophisticated technique).</p>\n\n<h1>Section 5.7 -- Covariance</h1>\n<p>First, a plot of the function\\[z=f(x,y)=xy\\]</p>"}︡
︠6b6239a6-4b0a-4812-a4b2-934d60938182︠
x,y,t=var('x,y,t')
︡da380ce0-83ee-46f7-a02c-39701d967336︡︡
︠55ffcc26-fc33-4ec8-926b-3645c163b25d︠
p1=plot3d(x*y,(x,-1,1),(y,-1,1))
p2=parametric_plot([t,0,0],(t,-1,1),color='red',thickness=3)
p3=parametric_plot([0,t,0],(t,-1,1),color='yellow',thickness=3)
show(p1+p2+p3)
︡e0f4ec99-da12-4d7b-a825-b3b27b54e69c︡︡
